Name:          minlog
Version:       1.2
Release:       7%{?dist}
Summary:       Minimal overhead Java logging
License:       BSD
URL:           http://code.google.com/p/minlog/
Source0:       http://minlog.googlecode.com/files/%{name}-%{version}.zip
Source1:       http://repo2.maven.org/maven2/com/googlecode/%{name}/%{version}/%{name}-%{version}.pom
# from http://code.google.com/p/minlog/source/browse/trunk/license.txt
Source2:       minlog-license.txt

BuildRequires: maven-local
BuildArch:     noarch

%description
MinLog is a Java logging library. Key features:

° Zero overhead Logging statements below a given level
  can be automatically removed by javac at compile time.
  This means applications can have detailed trace and
  debug logging without having any impact on the finished product.

° Simple and efficient The API is concise and the code
  is very efficient at run-time.

° Extremely lightweight The entire project consists of a single
  Java file with ~100 non-comment lines of code.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
find -name "*.class" -delete
find -name "*.jar" -delete
mv %{name}/* .
cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} license.txt
sed -i 's/\r//' license.txt

%mvn_file :%{name} %{name}
%mvn_alias :%{name} "com.esotericsoftware.%{name}:%{name}"

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 1.2-7
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.2-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 1.2-3
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Apr 30 2013 gil cattaneo <puntogil@libero.it> 1.2-2
- installed proper license file

* Fri Mar 08 2013 gil cattaneo <puntogil@libero.it> 1.2-1
- initial import for fedora

* Thu Aug 4 2011 gil <puntogil@libero.it> 1.2-mga1
- initial rpm
